package javax.xml.bind.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;

@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.FIELD, ElementType.METHOD })
public @interface XmlElementRef {
    public abstract Class type() default XmlElementRef.DEFAULT.class;
    
    public abstract String namespace() default "";
    
    public abstract String name() default "##default";
    
    public abstract boolean required() default true;
    
    public static final class DEFAULT
    {
    }
}
